osl::move_classifier::MoveAdaptor< Classifier > Struct Template Reference

`#include <moveAdaptor.h>`

## Static Public Member Functions

static bool | isMember (const NumEffectState &state, Move m)

## Detailed Description

template<class Classifier>
struct osl::move_classifier::MoveAdaptor< Classifier >

Definition at line 13 of file moveAdaptor.h.

## Member Function Documentation

## isMember()

template<class Classifier>

bool osl::move_classifier::MoveAdaptor< Classifier >::isMember | ( | const NumEffectState & | state,
|  | Move | m )

inline static

Definition at line 15 of file moveAdaptor.h.

References osl::Move::from(), osl::Move::ptype(), and osl::Move::to().

The documentation for this struct was generated from the following file:

- moveAdaptor.h